<!----------------------------------------------------------------------------------------------------------------------
  -- Footer
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <footer id="site-footer" class="container text-center">
        <div class="mb-1">
            <a :href="projectUrl" target="_blank">
                <Fa :icon="[ 'fab', 'gitlab' ]" />
                GitLab Project
            </a>
            <a class="ms-2" :href="issueUrl" target="_blank">
                <Fa icon="bug" />
                Report an Issue
            </a>
        </div>
        <div class="mb-2">
            Strata Service Tools v{{ version }}
        </div>
    </footer>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<style lang="scss">
    #site-footer {
        color: #aaa;
        font-size: 12px;
    }
</style>

<!--------------------------------------------------------------------------------------------------------------------->

<script lang="ts" setup>
    import { useObservable } from '../../lib/composables/rxjs.js';

    // Managers
    import versionMan from '../../lib/managers/version.js';

    //------------------------------------------------------------------------------------------------------------------
    // Refs
    //------------------------------------------------------------------------------------------------------------------

    const issueUrl = 'https://gitlab.com/strata-js/tools/strata-service-tools/-/issues/new';
    const projectUrl = 'https://gitlab.com/strata-js/tools/strata-service-tools';

    //------------------------------------------------------------------------------------------------------------------
    // Observables
    //------------------------------------------------------------------------------------------------------------------

    const version = useObservable(versionMan.version$);

</script>

<!--------------------------------------------------------------------------------------------------------------------->
